[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Classes' (#rtl)

# TComponent.IsImplementorOf

Checks if the current component is the implementor of the interface

## Declaration

Source position: classesh.inc line 1752

`public function TComponent.IsImplementorOf(`
`const Intf: IInterface`
`):Boolean;`

## Description

IsImplementorOf returns True if the current component implements the given interface. The interface should descend from IInterfaceComponentReference and the GetComponent method should return the current instance.

## See also

IInterfaceComponentReference |  | Interface for checking component references

Documentation generated on: Feb 26 2014